
Redmine - Defect #12694

Dates in issue journal

2012-12-29 16:58 - Martin Valensky

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.1.4

Description

I use MS SQL 2008R2.

The problem is if I change the start date or due date on issue. The values are written to journal and in table journal_details are values

and old values in format like mm-dd-yyyy, but the function for date conversion expects another format.

Problem is in file issues_helper.rb:

when 'due_date', 'start_date'

    value = format_date(detail.value.to_date) if detail.value

    old_value = format_date(detail.old_value.to_date) if detail.old_value

The workaround is to create custom function like this:

def format_date_mva(str_value)

    return str_value

end

and replace in code:

when 'due_date', 'start_date'

    value = format_date_mva(detail.value.to_date)

    old_value = format_date_mva(detail.old_value.to_date)

It shows wrong date format so this is cosmetic bug. I can live with that because I use it for private projects.    

I'm running on 2.2.0

Related issues:

Related to Redmine - Feature #12713: Microsoft SQLServer support Closed

History

#1 - 2013-01-02 09:00 - Jean-Philippe Lang

- Category changed from Issues to Database

- Status changed from New to Closed

- Resolution set to Wont fix

I'm closing it, MSSQL is not supported.

#2 - 2013-01-04 16:40 - Jean-Philippe Lang

- Resolution changed from Wont fix to Fixed

This was not a cosmetic bug, dates were not stored in journal_details as expected.

This is fixed in r11117, see #12713.
